3 Replies Latest reply: Oct 31, 2013 3:05 PM by Geoff Pecknold
Marc Eaton2 Level 1 Level 1 (5 points)

I have a Mac Mini OS X 10.8.5. Try to do the Java update and got this message: Java for OS X 2013-005 can't be installed on this disk. An error has occurred while evaluating javascript for the package. I can't find a fix or a solution. How can I fix this? Any help would be appreciated

Java install.jpg


Mac mini (Mid 2011), OS X Mountain Lion (10.8.4)
  • Linc Davis Level 10 Level 10 (143,315 points)

    If you have more than one user account, these instructions must be carried out as an administrator.

    Launch the Console application in any of the following ways:

    ☞ Enter the first few letters of its name into a Spotlight search. Select it in the results (it should be at the top.)

    ☞ In the Finder, select Go Utilities from the menu bar, or press the key combination shift-command-U. The application is in the folder that opens.

    ☞ Open LaunchPad. Click Utilities, then Console in the icon grid.

    Select

    /var/log install.log

    from the hierarchical list on the left. If you don't see that list, select

    View Show Log List

    from the menu bar. Then select the messages from the last installation or update attempt, starting from the time when you initiated it. If you're not sure when that was, start over and note the time. Copy them to the Clipboard by pressing the key combination command-C. Paste into a reply to this message (command-V).

     

    If there are runs of repeated messages, post only one example of each. Don’t post many repetitions of the same message.

    When posting a log extract, be selective. Don't post more than is requested.

    Please do not indiscriminately dump thousands of lines from the log into this discussion.

     

    Important: Some private information, such as your name, may appear in the log. Edit it out by search-and-replace in a text editor before posting.

  • Marc Eaton2 Level 1 Level 1 (5 points)

    Thanks for your help. Funny thing is I downloaded OS X Mavericks.  Oddly enough this seem to fix the problem.

  • Geoff Pecknold Level 1 Level 1 (0 points)

    I'm having the same problem,

    See lines below, thanks for any assistance.

    Oct 31 17:56:25 AIC1.local Installer[860]: @(#)PROGRAM:Install  PROJECT:Install-735

    Oct 31 17:56:25 AIC1.local Installer[860]: @(#)PROGRAM:Installer  PROJECT:Installer-618

    Oct 31 17:56:25 AIC1.local Installer[860]: Hardware: Macmini5,1 @ 2.30 GHz (x 4), 8192 MB RAM

    Oct 31 17:56:25 AIC1.local Installer[860]: Running OS Build: Mac OS X 10.8.5 (12F45)

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: PATH=/usr/bin:/bin:/usr/sbin:/sbin

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: TMPDIR=/var/folders/y7/pcmqfl5j6dbfqgxlrknqt3r80000gn/T/

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: SHELL=/bin/bash

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: HOME=/Users/

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: USER=

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: LOGNAME=

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: SSH_AUTH_SOCK=/tmp/launch-PO1RyG/Listeners

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: Apple_Ubiquity_Message=/tmp/launch-hTO27b/Apple_Ubiquity_Message

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: Apple_PubSub_Socket_Render=/tmp/launch-UtRATH/Render

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: COMMAND_MODE=unix2003

    Oct 31 17:56:25 AIC1.local Installer[860]: Env: __CF_USER_TEXT_ENCODING=0x1F5:0:0

    Oct 31 17:56:25 AIC1.local Installer[860]: Remote Desktop Client Update  Installation Log

    Oct 31 17:56:25 AIC1.local Installer[860]: Opened from: /Volumes/Apple Remote Desktop 3.7 Client Update/RemoteDesktopClient.pkg

    Oct 31 17:56:25 AIC1.local Installer[860]: Product archive /Volumes/Apple Remote Desktop 3.7 Client Update/RemoteDesktopClient.pkg trustLevel=501

    Oct 31 17:56:25 AIC1.local Installer[860]: JS: Package Authoring Error: Exception thrown while running volume check. TypeError: 'null' is not an object (evaluating 'my.target.systemVersion.ProductVersion')